jQuery 2.0 發佈

剛剛因為又查一個 jQuery API 的使用方法,照例又上了官網翻查了一下手冊!
赫然讓我發現一個精彩的事實!那就是~~~

jQuery 2.0.0 版本正式發佈!

奇怪!
不過是一個好用的套件更新了有什麼好開心的放煙火嗎?
因為,這代表老舊的瀏覽器更應該消失於這個世界上。
IE6 / IE7 / IE8 這三個瀏覽器,正是從 jQuery 的支援列表之中刪除啦!

這時候,要慶幸我不是 前端工程師,因為業主不會因為他的不支援,而饒過你我的。
不過,越來越多人的表態不支援,只會加速他們的消失(期望啦~~)。而且 XP 的支援也剩不到 365天,微軟就要正式將 XP 的原始碼封存不在維護了。
但其實,1.9 系列還是會持續的發展,與 2.0 系列使用相同的 API ,提供老舊的瀏覽器支援。

不過,消失了 IE6~8 這一個老派的瀏覽器。
那拖垮效能的老派瀏覽器,這回要換誰擔任呢?
根據 黑暗執行緒 的說法,是 Android/Webkit 2.x 的瀏覽器。
換成開放陣營要承擔這惡名了!不過在 IE6 真正的消失之前,這惡名的轉換應該是不會達成的。

聽說會分為2.0.0不支援IE6 / IE7 / IE8
未來還會出1.10.0版就有支援

只要 jQuery 1.x 系列繼續發展.. 舊瀏覽器還是一直支援
對站長來說只要掛 1.x 就兩邊通吃… 怎麼有理由掛 2.x 我到現在還在掛 html5shiv.js 來讓 IE 6 支援 HTML5 差不了幾 KB 不用白不用